Page MenuHomePhabricator

[Wikimedia Commons app] Feedback on how pictures uploaded to Commons are used
Closed, ResolvedPublic

Description

About

The Wikimedia Commons Android app allows users to upload pictures from their Android phone/tablet to Wikimedia Commons. Commons is not only the image repository for Wikipedia, but an independent project that seeks to document the world with photos, videos and recordings.

Project

One-way communication can become boring, so how about a page that shows how the pictures a person has uploaded are being used? The project aims at sharing feedback about uploaded photos, educating people about topic & copyright and adding some sort of gamification to drive engagement.

For this project you will:
Feedback (1)

  • Number of images used in Wikipedia/Wikivoyage/etc articles
  • Number of images that have been edited by someone else (including simple description typo fix and categorization)
  • Number of images that have been featured or received other kinds of awards
  • Received barnstars
  • Received thanks if the feature becomes available on Commons

The main goal is to give uploaders an incentive to continue (light gamification), but the statistics could also include some negative statistics too:

  • Number of deleted images (must be with a link to the deletion discussion/reason)

Tutorials (2)

  • Display tutorial again and implement a quiz, for users who have a high upload revert rate

PS: This task is based on a suggestion by @Nicolas_Raoul. :)

Other potential tasks are discussed on our github issue.

Skills required

  • Android SDK
  • Android UI design
  • Understanding of RxJava
  • Basic knowledge of Wikimedia APIs

Nice to have skills

  • Familiarity with Kotlin

Mentor(s)

Get started

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2018, 8:41 PM
maskaravivek updated the task description. (Show Details)Jan 16 2018, 8:44 PM

@maskaravivek thank you creating this task and for willing to mentor! It would be great if you could include in the task description: skills required, getting started steps, mentor(s), and list of bugs that prospective candidates could work on during the application period. See https://phabricator.wikimedia.org/T111416 for reference :)

maskaravivek updated the task description. (Show Details)Jan 16 2018, 9:54 PM
maskaravivek updated the task description. (Show Details)

Thanks @srishakatux. Have updated the description. :)

maskaravivek updated the task description. (Show Details)Jan 16 2018, 9:57 PM
maskaravivek updated the task description. (Show Details)Jan 17 2018, 4:54 PM
maskaravivek updated the task description. (Show Details)
josephine_l renamed this task from Feedback on how pictures uploaded to Commons are used to [Wikimedia Commons app] Feedback on how pictures uploaded to Commons are used.Jan 19 2018, 5:56 PM
josephine_l updated the task description. (Show Details)Feb 12 2018, 3:46 PM
josephine_l updated the task description. (Show Details)Feb 13 2018, 9:48 AM
Diddypod updated the task description. (Show Details)Feb 13 2018, 2:26 PM

This message is for students interested in working on this project for Google-Summer-of-Code (2018) / Outreachy (Round-16)

  • Student application deadline for GSoC is March 27 16:00 UTC and for Outreachy is March 22
  • If you have questions about eligibility, please read the GSoC / Outreachy rules thoroughly here: a) https://summerofcode.withgoogle.com/rules/ b) https://www.outreachy.org/apply/eligibility/. Wikimedia will not be responsible for verifying your eligibility and also not be able to make any decisions on this. For any clarifying questions, please email gsoc-support@google.com or organizers@outreachy.org.
  • Ensure that by now you have already discussed your implementation approach with your mentors, completed a few bugs/microtasks and made a plan to move forward with the proposal
  • I encourage you to start creating your proposals on Phabricator now to receive timely feedback on them from mentors. Do not wait until the last minute. Give your mentors at least a week's time to review your proposal, so that you could then incorporate any suggestions for changes. Learn how to submit a proposal in our participant's guides: a) https://www.mediawiki.org/wiki/Google_Summer_of_Code/Participants (Step 9) b) https://www.mediawiki.org/wiki/Outreachy/Participants (Step 10)
  • Proposals that contain links to successfully merged patches before the application period and submitted on both Phabricator and GSoC / Outreachy portal will only be considered for the review process. So, between now and the application deadline, you could consider working on this task.
  • If you would like to chat with me more about the process or have questions, come and talk to me in the Zulip chat: https://wikimedia.zulipchat.com/

ping @Tanvidadu1998 @maskaravivek Is there anything remaining in this task from GSoC'18? If not, then please consider marking it as resolved! Ensure no pull requests are remaining to be merged and deployed in production and documentation both on-wiki and in the code is complete.

Same goes for T189788

Hello @srishakatux,

Yes, the task has been completed by @Tanvidadu1998 and nothing is pending. In fact, her changes have already been pushed to the play store. One can check it out by updating to the latest version of the Commons Android app. :)

maskaravivek closed this task as Resolved.Sep 12 2018, 3:17 PM
maskaravivek claimed this task.
maskaravivek reassigned this task from maskaravivek to Tanvidadu1998.